// Systemimporte
import java.awt.Toolkit;

/**
 * Hier Beschreibung eintragen .....
 *
 *
 * @version Version eintragen ...
 * @author Autor eintragen ....
 */
public interface COMMANDS {
   // Welche Taste wird für die Menüsteuerung per Tastatur benutzt?
   // In Windowsysteme erhält man die CTRL-Taste, in MAC OS X Systeme erhält
   // man die COMMAND-Taste.
   public static final  int CTRL_COMMAND_MASK = Toolkit.getDefaultToolkit().getMenuShortcutKeyMask();

   // globale Konstanten für den Filedialog
   public final static int OPEN_DIALOG = 1;
   public final static int SAVE_DIALOG = 2;

   // globale Konstanten für Button-Aktionen
   public final static int YES_BUTTON = 1 ;
   public final static int OK_BUTTON = YES_BUTTON ;
   public final static int NO_BUTTON = 2 ;
   public final static int CANCEL_BUTTON = 3 ;
   public final static int X_BUTTON = CANCEL_BUTTON ;
   public final static int OPEN_SAVE_BUTTON = YES_BUTTON ;
   
   // globale Konstanten für Button-Kommandonamen
   public final static String YES = "ja" ;
   public final static String NO = "nein" ;
   public final static String CANCEL = "abbrechen" ;
   public final static String OK = "ok" ;

   // globale Konstanten für Menü-Kommandonamen
   public final static String NEW = "neu" ;
   public final static String OPEN = "oeffnen" ;
   public final static String SAVE = "speichern" ;
   public final static String SAVE_AS = "speichernUnter" ;
   public final static String EXIT = "ende" ;

   public final static String SEARCH = "suchen" ;
   public final static String CONT_SEARCH = "weitersuchen" ;
   public final static String SUBSTITUTE = "ersetzen" ;
}