import java.io.*;

import java.util.*;

import javax.swing.*;

public class TestFileChooserLocalisation {
   public static void main(String[] args) {
      File ioDatei = null;
      int auswahl;

      // *********************************************************************
      // Klasse Local
      // public static void setDefault(Locale newLocale)
      // Standard für die aktuelle Instanz der virtuellen Java Maschine setzen
      // *********************************************************************
      Locale.setDefault(new Locale("en", "UK"));
//      Locale.setDefault(Locale.FRENCH);
//      Locale.setDefault(Locale.ENGLISH);
//      Locale.setDefault(new Locale("en", "UK"));

      // *********************************************************************
      // Klasse JFileChooser (bzw. Oberklasse JComponent)
      // public static void setDefaultLocale(Locale l)
      // Standard für alle Komponenten setzen
      // *********************************************************************
//      JFileChooser.setDefaultLocale(Locale.ENGLISH);
//      JFileChooser.setDefaultLocale(Locale.FRENCH);
//      JFileChooser.setDefaultLocale(Locale.JAPANESE);
//
      // Parameter für den FileChooser setzen
      JFileChooser fc = new JFileChooser();
      fc.setCurrentDirectory(new File("."));
      fc.setFileSelectionMode(JFileChooser.FILES_ONLY);
      fc.setDialogTitle("Datei auswählen...");
//      NoFilter tf = new NoFilter();
      TextFilter tf = new TextFilter();
      fc.addChoosableFileFilter(tf);
      fc.setFileFilter(tf);

      // *********************************************************************
      // Klasse JFileChooser (Oberklasse Component)
      // public void setLocale(Locale l)
      // Setzt die Lokale für die aktuelle Komponente
      // *********************************************************************
      //
//      fc.setLocale(Locale.FRENCH);
//      fc.setLocale(Locale.JAPANESE);
//      fc.setLocale(Locale.RUSSIAN);
//      fc.setLocale(new Locale("ru", "RU"));

      // *********************************************************************
      // Klasse JFileChooser
      // public void updateUI()
      // Aktualisiert das Setzen der Lokalen für die aktuelle Komponente
      // *********************************************************************
      //
//      fc.updateUI();
      System.out.println("gesetzte Locale: " + fc.getLocale());

      auswahl = fc.showOpenDialog(null);

      if (auswahl == JFileChooser.APPROVE_OPTION) {
         ioDatei = fc.getSelectedFile();
         System.out.println("Datei: " + ioDatei.getName());
      }

      System.exit(0);
   }
}
